import greenfoot.*;
import java.util.ArrayList;

/**
 * Write a description of class Controller here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Controller extends Actor
{
    private int stepCounter;
    private Lives l1, l2, l3;
    private Customer c;
    private boolean goAhead = true;
    private Waiter wa;
    private int xPos;
    private int yPos;
    
    public Controller()
    {
       GreenfootImage gfi = this.getImage();
       gfi.clear();
       this.setImage(gfi);
       stepCounter = 0;
       l1 = new Lives();
       l2 = new Lives();
       l3 = new Lives();
       c = new Customer();
    }
    
    
    /**
     * Act - do whatever the Controller wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        stepCounter++;
        if (stepCounter == 1)
        {
            World w = this.getWorld();
            w.addObject(l1, 20, 20);
            w.addObject(l2, 50, 20);
            w.addObject(l3, 80, 20);
            ArrayList<Waiter> list = (ArrayList<Waiter>)w.getObjects(Waiter.class);
            wa = list.get(0);
        }
        
        World w = this.getWorld();
        int randNum = Greenfoot.getRandomNumber(w.getHeight());
        if (stepCounter % 50 == 0 && randNum > 149)
        {
            
            w.addObject(new Gull(), 0, randNum);
            System.out.println("\tGull");
            
            
            
        
        }
        else 
        {
            System.out.println(stepCounter);
        }
        
        int pick = Greenfoot.getRandomNumber(6);
        if (c.addCustomer == true)
        {
            if (pick == 0 && goAhead == true)
        {
            
            w.addObject(c, 20, 350);
            
        }
        else if (pick == 1 && goAhead == true)
        {
            
            w.addObject(c, 195, 350);
        }
        else if (pick == 2 && goAhead == true)
        {
            
            w.addObject(c, 370, 350);
        }
        else if (pick == 3 && goAhead == true)
        {
            
            w.addObject(c, 20, 250);
        }
        else if (pick == 4 && goAhead == true)
        {
            
            w.addObject(c, 195, 250);
        }
        else if (pick == 5 && goAhead == true)
        {
            
            w.addObject(c, 370, 250);
        }
        }
        
        
        this.inWater();
       
        
        
    }
    
    public void inWater()
    {
        
        
       
        
        if(wa.HeDrowning() == true)
        {
            World w = this.getWorld();
            if (l3.getWorld() != null)
            {
                System.out.println("I'm drowning!!!");
                w.removeObject(l3);
                wa.setHeDrowning(false);
            }
            else if (l2.getWorld() != null)
            {
                System.out.println("Drowning 2.0!!!");
                w.removeObject(l2);
                wa.setHeDrowning(false);
            }
            else if (l1.getWorld() != null)
            {
                System.out.println("Almost dead!!!");
                w.removeObject(l1);
                wa.setHeDrowning(false);
            }
            else
            {
                
                w.setBackground("GameOver.png");
                Greenfoot.stop();
                ArrayList<Actor> list = (ArrayList<Actor>)w.getObjects(Actor.class);
                w.removeObjects(list);
                
            }
        }
    }
    
    
    
}