import greenfoot.*;

/**
 * Write a description of class Gull here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Gull extends Actor
{
    private int speed;
    
    public Gull()
    {
        this.speed = 5;
    }
    
    /**
     * Act - do whatever the Gull wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        int xPos = this.getX();
        int yPos = this.getY();
        
        if (xPos > 580)
        {
            this.die();
        }
        else
        {
            xPos = xPos + speed;
            this.setLocation(xPos, yPos);
        }
    }    
    
    /**
     * setSpeed - sets the speed variable for this object to a new value.
     * The new value is equal to the parameter that is passed.
     * @param int s - the new speed for this object's speed variable.
     */
    public void setSpeed(int s)
    {
        this.speed = s;
    }
    
    /**
     * getSpeed - returns the value of this object's speed variable.
     * 
     * @return the value of this object's speed variable.
     */
    public int getSpeed()
    {
        return this.speed;
    }
    
    public void die()
    {
        World w = this.getWorld();
        w.removeObject(this);
    }
    
    
}
